Traveller Store CotI Features New Posts Mark Forums Read Register


Go Back TravellerRPG.com > Citizens of the Imperium > General Traveller Discussions > Software Solutions

Software Solutions Discussions on Traveller related software.

Reply
 
Thread Tools Display Modes
  #51  
Old June 12th, 2013, 07:07 PM
foleypt foleypt is offline
Citizen: SOC-9
 
Join Date: Apr 2011
Posts: 48
Gallery : 0
foleypt Citizen
Default

Hopefully I can get it tidied up enough for some sort of release this weekend.

I haven't done a .NET installer before, but I have got it to run on another computer, so I don't think it will be too difficult
Reply With Quote
  #52  
Old June 12th, 2013, 07:35 PM
coliver988's Avatar
coliver988 coliver988 is offline
Baron
 
Join Date: Dec 2003
Location: Asheville
Posts: 1,575
Gallery : 103
Visit coliver988's Blog
coliver988 Citizen+coliver988 Citizen+coliver988 Citizen+
Default

For installers, you'll need to drop back to 3.5 if you want to use the default MSI installer in VS2010 (if that's what you are using - it's not even available in 2012 which is what I currently usenly install shield which may work...). If you have a site, ClickOnce works well - you publish to that, and depending on how you set up things, it will check for updates every time they use the program.

I've never gotten the Flexera installer stuff to work correctly, but I'm impatient.

I may get around to writing a 3rd version of this as well just for fun if I ever get the time (or is this the 4th). This time for RT so it will run on tablets or PCs. All 15 RT tablets out there... Or maybe play with Azure and make the whole thing web based. Except I'm not particularly good at web side development.

The only thing I recall at this point is that it did originally support Classic, Mongoose & T5 as I understood it. Based on those files which apparently we can now fill out...
Reply With Quote
  #53  
Old June 12th, 2013, 08:03 PM
foleypt foleypt is offline
Citizen: SOC-9
 
Join Date: Apr 2011
Posts: 48
Gallery : 0
foleypt Citizen
Default

It is using the .NET Framework 3.5

I'll have a look at the default MSI installer... I do also need it to make some changes to the registry.. there is a hack to get the traveller map support working needs to be put in the registry

I am afraid I pulled the support for the other versions. I was changing some of the structures internally and I was despondent that I would ever get it to a releasable position if I had to keep checking all the different versions to see if they still worked, also I did not have some of the rules set and I feared that the T5 code probably no longer represented the T5 rules, as it was for beta T5. The code still forks internally in the trade class for different versions and I do actually want to support at least another version in the future.
Don McKinney has given me permission to use his version which would be my favoured rule set.
http://dmckinne.winterwar.org/pdfs/M...%20variant.pdf
If I have time I will return the old version CT T5 code to the trade class even if it is in a commented out, perhaps somebody else wants to get it working.
In my latest version, after I had recently sent code to you, I renamed the Mongoose version tag to "MGT" from "MT" as "MT" is Megatraveller

I figure at this stage the most important thing is to get it released as a (semi) working version.
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
PC Control jhulse In My Traveller Universe 5 March 24th, 2005 10:46 PM

This website and its contents are copyright ©2010- Far Future Enterprises. All rights reserved. Traveller is a registered trademark of Far Future Enterprises .
Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.
Copyright (c) 2010-2013, Far Future Enterprises. All Rights Reserved.